#!/usr/bin/env python
# -*- mode: python; coding: koi8-r -*-


import sys
import os
from distutils.core import setup
from distutils.command.install_data import install_data

program_version = '0.1.0'

class my_install_data(install_data):
    # for install pybookreader.glade to library dir
    # (from setup.py wxPython)
    def run(self):
        #need to change self.install_dir to the actual library dir
        install_cmd = self.get_finalized_command('install')
        self.install_dir = getattr(install_cmd, 'install_lib')
        return install_data.run(self)

setup(
    name = 'OrnamentBook',
    version = program_version,
    url = 'http://pybookreader.narod.ru',
    author = 'Con Radchenko',
    author_email = 'pybookreader@narod.ru',
    description = 'Alternative interface for PyBookReader.',
    license = 'GPL',
    scripts = ['ob'],
    packages = ['ornamentbook'],
    cmdclass = {'install_data': my_install_data},
    data_files = [ ('ornamentbook',
                    ['ornamentbook/ornamentbook.glade']),
                   ('ornamentbook/skins',
                    ['ornamentbook/skins/golden.jpg'])
                   ],
    )

